Package fr.gouv.vitam.common.database.builder.query

# Class VitamFieldsHelper

java.lang.Object
fr.gouv.vitam.common.database.builder.query.VitamFieldsHelper

public class VitamFieldsHelper extends Object
Vitam Field Helper to facilitate the usage of field names

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `all()`
  Deprecated.
  Will be removed in future releases.
  `static String`
  `allunitups()`
  `static String`
  `approximateCreationDate()`
  `static String`
  `approximateUpdateDate()`
  `static String`
  `batchId()`
  `static String`
  `cache()`
  Deprecated.
  Will be removed in future releases.
  `static String`
  `computedInheritedRules()`
  `static String`
  `dua()`
  Deprecated.
  Will be removed in future releases.
  `static String`
  `elimination()`
  `static String`
  `errors()`
  `static String`
  `format()`
  `static String`
  `graph()`
  `static String`
  `graph_last_persisted_date()`
  `static String`
  `history()`
  `static String`
  `id()`
  `static String`
  `implementationVersion()`
  `static String`
  `initialOperation()`
  `static String`
  `lastPersistedDate()`
  `static String`
  `management()`
  `static String`
  `managementContractId()`
  `static String`
  `max()`
  `static String`
  `min()`
  `static String`
  `nbc()`
  `static String`
  `nbobjects()`
  `static String`
  `nbunits()`
  Deprecated.
  Will be removed in future releases.
  `static String`
  `nocache()`
  Deprecated.
  Will be removed in future releases.
  `static String`
  `object()`
  `static String`
  `objectGroupInfo()`
  `static String`
  `objectgroups()`
  `static String`
  `operations()`
  `static String`
  `opts()`
  `static String`
  `originatingAgencies()`
  `static String`
  `originatingAgency()`
  `static String`
  `parentOriginatingAgencies()`
  Deprecated.
  Will be removed in future releases.
  `static String`
  `qualifiers()`
  `static com.fasterxml.jackson.databind.JsonNode`
  `removeHash(com.fasterxml.jackson.databind.JsonNode jsonNode)`
  `static String`
  `score()`
  `static String`
  `sedaVersion()`
  `static String`
  `size()`
  `static String`
  `storage()`
  `static String`
  `tenant()`
  `static String`
  `type()`
  `static String`
  `uds()`
  `static String`
  `units()`
  `static String`
  `unitType()`
  `static String`
  `unitups()`
  `static String`
  `uploadPath()`
  Initial upload Path (collect-only)
  `static String`
  `usage()`
  `static String`
  `validComputedInheritedRules()`
  `static String`
  `version()`
  `static String`
  `vups()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### id

    public static String id()
    Returns:
      #id

  - ### nbunits

    public static String nbunits()
    Deprecated.
    Will be removed in future releases.
    Returns:
      #nbunits

  - ### nbobjects

    public static String nbobjects()
    Returns:
      #nbobjects

  - ### nbc

    public static String nbc()
    Returns:
      #nbc

  - ### all

    public static String all()
    Deprecated.
    Will be removed in future releases.
    Returns:
      #all

  - ### size

    public static String size()
    Returns:
      #size

  - ### format

    public static String format()
    Returns:
      #format

  - ### type

    public static String type()
    Returns:
      #type

  - ### tenant

    public static String tenant()
    Returns:
      #tenant

  - ### dua

    public static String dua()
    Deprecated.
    Will be removed in future releases.
    Returns:
      #dua

  - ### units

    public static String units()
    Returns:
      #units

  - ### objectgroups

    public static String objectgroups()
    Returns:
      #objectgroups

  - ### cache

    public static String cache()
    Deprecated.
    Will be removed in future releases.
    Returns:
      #cache

  - ### nocache

    public static String nocache()
    Deprecated.
    Will be removed in future releases.
    Returns:
      #nocache

  - ### qualifiers

    public static String qualifiers()
    Returns:
      #qualifiers

  - ### object

    public static String object()
    Returns:
      #object

  - ### unitups

    public static String unitups()
    Returns:
      #unitups

  - ### batchId

    public static String batchId()
    Returns:
      #batchId (collect-only)

  - ### uploadPath

    public static String uploadPath()
    Initial upload Path (collect-only)
    Returns:
      #uploadPath

  - ### allunitups

    public static String allunitups()
    Returns:
      #allunitups

  - ### min

    public static String min()
    Returns:
      #min

  - ### max

    public static String max()
    Returns:
      #max

  - ### uds

    public static String uds()
    Returns:
      #max

  - ### graph

    public static String graph()
    Returns:
      #graph

  - ### approximateCreationDate

    public static String approximateCreationDate()
    Returns:
      #approximate_creation_date

  - ### approximateUpdateDate

    public static String approximateUpdateDate()
    Returns:
      #approximate_update_date

  - ### graph_last_persisted_date

    public static String graph_last_persisted_date()
    Returns:
      #graph_last_persisted_date

  - ### management

    public static String management()
    Returns:
      #management

  - ### operations

    public static String operations()
    Returns:
      #operations

  - ### unitType

    public static String unitType()
    Returns:
      #unitType

  - ### originatingAgency

    public static String originatingAgency()
    Returns:
      #originating_agency

  - ### originatingAgencies

    public static String originatingAgencies()
    Returns:
      #originating_agencies

  - ### parentOriginatingAgencies

    public static String parentOriginatingAgencies()
    Deprecated.
    Will be removed in future releases.
    Returns:
      #parent_originating_agencies

  - ### version

    public static String version()
    Returns:
      #version

  - ### storage

    public static String storage()
    Returns:
      #storage

  - ### managementContractId

    public static String managementContractId()
    Returns:
      #managementContratctId

  - ### usage

    public static String usage()
    Returns:
      #usage

  - ### score

    public static String score()
    Returns:
      #score

  - ### lastPersistedDate

    public static String lastPersistedDate()
    Returns:
      #lastPersistedDate

  - ### initialOperation

    public static String initialOperation()
    Returns:
      #opi

  - ### history

    public static String history()
    Returns:
      #history

  - ### sedaVersion

    public static String sedaVersion()
    Returns:
      #version

  - ### implementationVersion

    public static String implementationVersion()
    Returns:
      #version

  - ### computedInheritedRules

    public static String computedInheritedRules()

  - ### validComputedInheritedRules

    public static String validComputedInheritedRules()

  - ### opts

    public static String opts()

  - ### vups

    public static String vups()
    Returns:
      #vups

  - ### errors

    public static String errors()
    Returns:
      #errors

  - ### objectGroupInfo

    public static String objectGroupInfo()
    Returns:
      #ogInfo

  - ### elimination

    public static String elimination()
    Returns:
      #elimination

  - ### removeHash

    public static com.fasterxml.jackson.databind.JsonNode removeHash(com.fasterxml.jackson.databind.JsonNode jsonNode)